> ## Documentation Index
> Fetch the complete documentation index at: https://platform.vidu.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.
# Text to Video
## Q3 Pro Create Task
```
POST https://api.vidu.com/ent/v2/text2video
```
### Headers
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Authorization` | `string` | Required | Replace {your api key} with your token;Example: `Token {your api key}` |
### Body parameters
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `model` | `string` | Required | Model name, optional value: `viduq3-pro` viduq3-pro: Supports audio-video synchronization, supports video storyboarding, with better results |
| `prompt` | `string` | Required | Text prompt Text description for generating the video. Note: Character length cannot exceed 20000 characters |
| `duration` | `integer` | Optional | Video duration parameter, default value depends on the model: viduq3-pro: default 5s, optional: 1 - 16 |
| `seed` | `integer` | Optional | Random seed When not passed or passed as 0, a random number will be used instead Manual setting uses the specified seed |
| `aspect_ratio` | `string` | Optional | Aspect ratio Default 16:9, optional values: 16:9, 9:16, 3:4, 4:3, 1:1 |
| `resolution` | `string` | Optional | Resolution parameter, default value depends on the model and video duration: viduq3-pro (1-16 seconds): default 720p, optional: 540p, 720p, 1080p |
| `audio` | `boolean` | Optional | Whether to use direct audio-video output capability, default is true, enumeration values: false: No direct audio-video output needed, output silent video true: Audio-video synchronization needed, output video with sound (including dialogue and sound effects) |
| `payload` | `string` | Optional | Passthrough parameter No processing, only data transmission Note: Maximum 1,048,576 characters |
| `off_peak` | `boolean` | Optional | Off-peak mode, default: false, optional values: true: Generate video in off-peak mode; false: Generate video instantly; Note 1: Off-peak mode consumes fewer credits, see [Pricing](https://platform.vidu.com/docs/pricing) for details Note 2: Tasks submitted in off-peak mode will be generated within 48 hours; tasks that cannot be completed will be automatically canceled and credits will be refunded; Note 3: You can also [manually cancel](https://platform.vidu.com/docs/cancel-task-api) off-peak tasks |
| `callback_url` | `string` | Optional | Callback protocol You need to actively set callback_url when creating a task, the request method is POST. When the video generation task has a status change, Vidu will send a callback request containing the latest task status to this address. The callback request content structure is consistent with the response body of the query task API The "status" returned by the callback includes the following states: processing: Task is processing success: Task completed (if sending fails, callback 3 times) failed: Task failed (if sending fails, callback 3 times) Vidu uses a callback signature algorithm for authentication, see: [Callback Signature Algorithm](https://platform.vidu.com/docs/callback-signature) |
### Request example
```shell
curl -X POST -H "Authorization: Token {your_api_key}" -H "Content-Type: application/json" -d '
{
"model": "viduq3-pro",
"prompt": "In an ultra-realistic fashion photography style featuring light blue and pale amber tones, an astronaut in a spacesuit walks through the fog. The background consists of enchanting white and golden lights, creating a minimalist still life and an impressive panoramic scene.",
"duration": 5,
"seed": 0,
"aspect_ratio": "4:3",
"resolution": "540p"
}' https://api.vidu.com/ent/v2/text2video
```
### Response
#### 200 OK
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `task_id` | `string` | Optional | Task ID generated by Vidu |
| `state` | `string` | Optional | Processing status Optional values: created: Creation successful queueing: Task queuing processing: Task processing success: Task succeeded failed: Task failed |
| `model` | `string` | Optional | Model name of this call |
| `prompt` | `string` | Optional | Prompt parameter of this call |
| `duration` | `integer` | Optional | Video duration parameter of this call |
| `seed` | `integer` | Optional | Random seed parameter of this call |
| `aspect_ratio` | `string` | Optional | Aspect ratio parameter of this call |
| `resolution` | `string` | Optional | Resolution parameter of this call |
| `payload` | `string` | Optional | Passthrough parameter passed in this call |
| `off_peak` | `boolean` | Optional | Whether off-peak mode is used in this call |
| `credits` | `integer` | Optional | Number of credits used for this call |
| `created_at` | `string` | Optional | Task creation time |
```json
{
"task_id": "your_task_id_here",
"state": "created",
"model": "viduq3-pro",
"prompt": "In an ultra-realistic fashion photography style featuring light blue and pale amber tones, an astronaut in a spacesuit walks through the fog. The background consists of enchanting white and golden lights, creating a minimalist still life and an impressive panoramic scene.",
"duration": 5,
"seed": random_number,
"aspect_ratio": "4:3",
"resolution": "540p",
"payload":"",
"credits": credits_number,
"created_at": "2025-01-01T15:41:31.968916Z"
}
```
## Q3 Pro Query Creations
```
GET /ent/v2/tasks/{id}/creations
```
### Headers
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Authorization` | `string` | Required | Replace {your api key} with your token;Example: `Token {your api key}` |
### Path parameters
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | `string` | Required | Task ID, returned by the create task API upon successful creation |
### Request example
```shell
curl -X GET -H "Authorization: Token {your_api_key}" https://api.vidu.com/ent/v2/tasks/{your_id}/creations
```
### Response
#### 200 OK
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | `string` | Optional | Task ID |
| `state` | `string` | Optional | Processing status Optional values: created: Creation successful queueing: Task queuing processing: Task processing success: Task succeeded failed: Task failed |
| `err_code` | `string` | Optional | Error code, see error code table for details |
| `credits` | `integer` | Optional | Number of credits consumed by this task, unit: credits |
| `payload` | `string` | Optional | Passthrough parameter passed in this task call |
| `off_peak` | `boolean` | Optional | Whether off-peak mode is used in this task call |
| `creations` | `array` | Optional | Creation results |
| ↳ `id` | `string` | Optional | Creation ID, used to identify different creations |
| ↳ `url` | `string` | Optional | Creation URL, valid for 24 hours |
| ↳ `cover_url` | `string` | Optional | Creation cover image, valid for 24 hours |
| ↳ `watermarked_url` | `string` | Optional | Watermarked creation URL, valid for 24 hours |
```json
{
"id":"your_task_id",
"state": "success",
"err_code": "",
"credits": 4,
"payload": "",
"creations": [
{
"id": "your_creations_id",
"url": "your_generated_results_url",
"cover_url": "your_generated_results_cover_url",
"watermarked_url": "your_generated_results_watermarked_url"
}
]
}
```
## Q3 Turbo Create Task
```
POST /ent/v2/text2video
```
### Headers
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Authorization` | `string` | Required | Replace `{your api key}` with your API key;Example: `Token {your api key}` |
### Body parameters
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `model` | `string` | Required | Model name Accepted values: `viduq3-turbo` `viduq3-turbo`: Faster generation speed compared to viduq3-pro |
| `prompt` | `string` | Required | Text prompt A textual description for video generation. Note: Character length must not exceed 5000 characters. |
| `duration` | `integer` | Optional | Video duration parameter, default value depends on the model: `viduq3-turbo`: Default 5 seconds, available range: 1–16 |
| `seed` | `integer` | Optional | Random seed When not provided or set to 0, a random number is used; manually set values override the default |
| `aspect_ratio` | `string` | Optional | Aspect ratio parameter Default: `16:9`. Accepted values: `16:9`, `9:16`, `3:4`, `4:3`, `1:1` |
| `resolution` | `string` | Optional | Resolution parameter, default value depends on the model and video duration: `viduq3-turbo` (1–16s): Default 720p, available options: 540p, 720p, 1080p |
| `audio` | `boolean` | Optional | Whether to use audio-video output capability. Default: true. Valid values: false: No audio-video output, outputs silent video true: Audio-video synchronization, outputs video with sound (including dialogue and sound effects) |
| `payload` | `string` | Optional | Pass-through parameter No processing, only data transmission Note: Maximum 1,048,576 characters |
| `off_peak` | `boolean` | Optional | Off-peak mode. Default: false. Valid values: true, false true: Off-peak video generation false: Instant video generation Note 1: Off-peak mode consumes fewer credits, see [Pricing](https://platform.vidu.com/docs/pricing) for details Note 2: Tasks submitted in off-peak mode will be generated within 48 hours; tasks that cannot be completed will be automatically cancelled and their credits refunded Note 3: You can also [manually cancel](https://platform.vidu.com/docs/cancel-generation) off-peak tasks |
| `callback_url` | `string` | Optional | Callback protocol You need to actively set `callback_url` when creating a task. The request method is POST. When the video generation task has a status change, Vidu will send a callback request containing the latest task status to this address. The callback request content structure is consistent with the response body of the Query Task API. The `"status"` returned by the callback includes the following states: processing: Task is being processed success: Task completed (if sending fails, the callback is retried 3 times) failed: Task failed (if sending fails, the callback is retried 3 times) Vidu uses a callback signature algorithm for authentication, see [Callback Signature](https://platform.vidu.com/docs/callback-signature) for details |
### Request example
```shell
curl -X POST -H "Authorization: Token {your_api_key}" -H "Content-Type: application/json" -d '
{
"model": "viduq3-turbo",
"prompt": "In an ultra-realistic fashion photography style featuring light blue and pale amber tones, an astronaut in a spacesuit walks through the fog. The background consists of enchanting white and golden lights, creating a minimalist still life and an impressive panoramic scene.",
"duration": 5,
"seed": 0,
"aspect_ratio": "4:3",
"resolution": "540p"
}' https://api.vidu.com/ent/v2/text2video
```
### Response
#### 200 OK
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `task_id` | `string` | Optional | Task ID generated by Vidu |
| `state` | `string` | Optional | Processing status Valid values: `created` – Created successfully `queueing` – Task queued `processing` – Task being processed `success` – Task succeeded `failed` – Task failed |
| `model` | `string` | Optional | Model name used for this call |
| `prompt` | `string` | Optional | Prompt parameter used for this call |
| `duration` | `integer` | Optional | Video duration parameter used for this call |
| `seed` | `integer` | Optional | Random seed parameter used for this call |
| `aspect_ratio` | `string` | Optional | Aspect ratio parameter used for this call |
| `resolution` | `string` | Optional | Resolution parameter used for this call |
| `payload` | `string` | Optional | Pass-through parameter used for this call |
| `off_peak` | `boolean` | Optional | Whether off-peak mode was used for this call |
| `credits` | `integer` | Optional | Number of credits consumed by this call |
| `created_at` | `string` | Optional | Task creation time |
```json
{
"task_id": "your_task_id_here",
"state": "created",
"model": "viduq3-turbo",
"prompt": "In an ultra-realistic fashion photography style featuring light blue and pale amber tones, an astronaut in a spacesuit walks through the fog. The background consists of enchanting white and golden lights, creating a minimalist still life and an impressive panoramic scene.",
"duration": 5,
"seed": random_number,
"aspect_ratio": "4:3",
"resolution": "540p",
"payload":"",
"credits": credits_number,
"created_at": "2025-01-01T15:41:31.968916Z"
}
```
## Q3 Turbo Query Creations
```
GET /ent/v2/tasks/{id}/creations
```
### Headers
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Authorization` | `string` | Required | Replace `{your api key}` with your API key;Example: `Token {your api key}` |
### Path parameters
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | `string` | Required | Task ID, returned by the Create Task API upon success |
### Request example
```shell
curl -X GET -H "Authorization: Token {your_api_key}" https://api.vidu.com/ent/v2/tasks/{your_id}/creations
```
### Response
#### 200 OK
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | `string` | Optional | Task ID |
| `state` | `string` | Optional | Processing status Valid values: `created` – Created successfully `queueing` – Task queued `processing` – Task being processed `success` – Task succeeded `failed` – Task failed |
| `err_code` | `string` | Optional | Error code, see the error code table for details |
| `credits` | `integer` | Optional | Number of credits consumed by this task, unit: credits |
| `payload` | `string` | Optional | Pass-through parameter passed during this task call |
| `off_peak` | `boolean` | Optional | Whether off-peak mode was used for this task call |
| `creations` | `array` | Optional | Generation results |
| ↳ `id` | `string` | Optional | Generation ID, used to identify different generations |
| ↳ `url` | `string` | Optional | Generation URL, valid for 24 hours |
| ↳ `cover_url` | `string` | Optional | Generation cover image, valid for 24 hours |
| ↳ `watermarked_url` | `string` | Optional | Watermarked generation URL, valid for 24 hours |
```json
{
"id":"your_task_id",
"state": "success",
"err_code": "",
"credits": 4,
"payload": "",
"creations": [
{
"id": "your_creations_id",
"url": "your_generated_results_url",
"cover_url": "your_generated_results_cover_url",
"watermarked_url": "your_generated_results_watermarked_url"
}
]
}
```